Name:    ipcgull
Version: 0.1
Release: 0%{?dist}
Summary: A GDBus-based IPC library for modern C++

License: GPLv3
URL:     https://github.com/PixlOne/ipcgull

Source0: https://github.com/PixlOne/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz

# Change from static to dynamic lib
Patch0:         ipcgull-shared-lib.patch
Patch1:         ipcgull-include-stdexcept.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libstdc++-devel

%description
Ipcgull is a C++ IPC library that takes advantage of modern C++17 features to provide a simple interface for developers to handle IPC.

Currently, Ipcgull only supports a D-Bus backend (via GDBus), but this is abstracted by the library and can theoretically be replaced. However, that is out of scope for this project.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 0
%patch -p1 1

%build
%{cmake}
%{cmake_build}

%install
%{cmake_install}
install -D -m 755 redhat-linux-build/libipcgull.so %{buildroot}%{_libdir}/libipcgull.so

%files
%{_libdir}/libipcgull.so
%license LICENSE
%doc README.md

%changelog
* Tue May 16 2023 Nicolas De Amicis <deamicis@bluewin.ch> - 0.1-0
- Initial packaging
